E-MailRelay

Public Member Functions | List of all members
GNet::Resolver::Callback Struct Referenceabstract

An interface used for GNet::Resolver callbacks. More...

`#include <gresolver.h>`

Inheritance diagram for GNet::Resolver::Callback:

## Public Member Functions
virtual | ~Callback ()=default
| Destructor.
virtual void | onResolved (std::string error, Location)=0
| Called on completion of GNet::Resolver name resolution.

## Detailed Description

An interface used for GNet::Resolver callbacks.

Definition at line 49 of file gresolver.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gresolver.h